Amazon Inspector
User Guide (Version Latest)

Amazon Inspector Rules Packages for Supported Operating Systems

You can run Amazon Inspector rules packages on the EC2 instances that are included in your assessment targets. The following table shows the availability of rules packages for supported operating systems.

Important

You can run an agentless assessment with the Network Reachability rules package on any EC2 instance regardless of operating system.

Note

For more information about supported operating systems, see Amazon Inspector Supported Operating Systems and Regions.

Supported Operating Systems Common Vulnerabilities and Exposures CIS Benchmarks Network Reachability Security Best Practices Runtime Behavior Analysis

Amazon Linux 2 LTS, 2017.12

Supported

Supported

Supported

Supported

Amazon Linux 2018.03

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2017.09

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2017.03

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2016.09

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2016.03

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2015.09

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2015.03

Supported

Supported

Supported

Supported

Supported

Amazon Linux 2014.09

Supported

Supported

Supported

Amazon Linux 2014.03

Supported

Supported

Supported

Amazon Linux 2013.09

Supported

Supported

Supported

Amazon Linux 2013.03

Supported

Supported

Supported

Amazon Linux 2012.09

Supported

Supported

Supported

Amazon Linux 2012.03

Supported

Supported

Supported

Ubuntu 18.04 LTS

Supported

Supported

Supported

Supported

Ubuntu 16.04 LTS

Supported

Supported

Supported

Supported

Supported

Ubuntu 14.04 LTS

Supported

Supported

Supported

Supported

Supported

Debian 9.0 - 9.5, 8.0 - 8.7

Supported

Supported

Supported

RHEL 7.6

Supported

Supported

Supported

Supported

RHEL 6.2 - 6.9, 7.2 - 7.5

Supported

Supported

Supported

Supported

Supported

CentOS 7.6

Supported

Supported

Supported

Supported

CentOS 6.2 - 6.9, 7.2 - 7.5

Supported

Supported

Supported

Supported

Supported

Windows Server 2012 R2

Supported

Supported

Supported

Supported

Windows Server 2012

Supported

Supported

Supported

Supported

Windows Server 2008 R2

Supported

Supported

Supported

Supported

Windows Server 2016 Base

Supported

Supported

Supported